ווטסאפ - לינוקס, BSD, קוד פתוח ותוכנה חופשית בעברית. Whatsup - Linux, BSD, open source and free software in Hebrew

 
 
  כניסת חברים · רישום · שכחתי סיסמה  
tux the penguin
תגובה לנושא
צפיה בנושא הבא Printable version התחבר כדי לבדוק הודעות פרטיות צפיה בנושא הקודם
אורח · ·
 

הודעה פורסם: 07/11/2016 - 21:31
נושא ההודעה: אני מנסה להריץ apt-get install flashplugin-nonfree

ומקבל את ההודעה הבאה
E: Could not get lock /var/lib/dpkg/lock - open (11: Resource temporarily unavailable)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?

אני מריץ את הפקודה dpkg --configure -a
ומקבל את המסך הבא:

Configuring xserver-xorg-video-nvidia-legacy-340xx

Conflicting nouveau kernel module loaded │
│ │
│ The free nouveau kernel module is currently loaded and conflicts with │
│ the non-free nvidia kernel module. │
│ │
│ The easiest way to fix this is to reboot the machine once the │

installation has finished

אני עושה reboot ושוב את הפקודה dpkg אבל לא עוזר

איך אני פותר את הסמטוכה ?
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 07/11/2016 - 21:35
נושא ההודעה: Re: אני מנסה להריץ apt-get install flashplugin-nonfree

Anonymous :
ומקבל את ההודעה הבאה
E: Could not get lock /var/lib/dpkg/lock - open (11: Resource temporarily unavailable)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?

אני מריץ את הפקודה dpkg --configure -a
ומקבל את המסך הבא:

Configuring xserver-xorg-video-nvidia-legacy-340xx

Conflicting nouveau kernel module loaded │
│ │
│ The free nouveau kernel module is currently loaded and conflicts with │
│ the non-free nvidia kernel module. │
│ │
│ The easiest way to fix this is to reboot the machine once the │

installation has finished

אני עושה reboot ושוב את הפקודה dpkg אבל לא עוזר

איך אני פותר את הסמטוכה ?


עוד פרט :
כשאני מנסה להפעיל את synaptic אני מקבל הודעה הבאה
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 07/11/2016 - 21:59
נושא ההודעה:

זה אתה ששאל על דביאן?
באיזו הפצה מדובר?
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 08/11/2016 - 05:48
נושא ההודעה:

Anonymous :
זה אתה ששאל על דביאן?
באיזו הפצה מדובר?


נכון
התקנתי דביאן testing
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 08/11/2016 - 06:13
נושא ההודעה:

הרבה פעמים כשהתהליך מופסק באמצע נשאר קובץ ה lock.
תמחק אותו.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
צפריראורח · ·
 

הודעה פורסם: 08/11/2016 - 06:59
נושא ההודעה:

אלא אם כן מישהו מחזיק את המנעול בכוונה. לא זכור לי אם סינפטיק מחזיק אותו.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 08/11/2016 - 07:44
נושא ההודעה:

Anonymous :
הרבה פעמים כשהתהליך מופסק באמצע נשאר קובץ ה lock.
תמחק אותו.


איפה אני מוצא את הקובץ הזה ?
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 08/11/2016 - 07:50
נושא ההודעה:

איך התקנת את הדרייבר הקינייני של nvidia ?

יש כאן מדריך:
https://wiki.debian.org/NvidiaGraphicsDrivers#Version_340.96
https://wiki.debian.org/NvidiaGraphicsDrivers#Troubleshooting

לאחר התקנה, המודול nouveau צריך להיות מכובה ולא להפריע למודול של nvidia.
בהתקנה שלך הוא עדיין עובד ...

אפשר להסיר את ההתקנה של nvidia לחלוטין, לוודא שהכול עובד טוב עם הדרייבר הרגיל, ואז ולנסות שוב להתקין את הדרייבר הקנייני.

נ.ב.
למה אתה צריך את הדרייבר הקנייני, יש לך תוכנה שדורשת משהוא שיש רק בדרייבר הקנייני ?
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 08/11/2016 - 07:52
נושא ההודעה:

צפריר :
אלא אם כן מישהו מחזיק את המנעול בכוונה. לא זכור לי אם סינפטיק מחזיק אותו.


כשאני מנסה להפעיל את סינפטיק אני מקבל את ההודעה

E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.
E: _cache->open() failed, please report.

כשאני סוגר את חלון ההודעה גם החלון של סינפטיק נעלם
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 08/11/2016 - 07:59
נושא ההודעה:

צפריר :
אלא אם כן מישהו מחזיק את המנעול בכוונה. לא זכור לי אם סינפטיק מחזיק אותו.


גם אחרי ריבוט?
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 08/11/2016 - 08:08
נושא ההודעה:

ציטוט:
גם אחרי ריבוט?


אם אתה יכול להריץ
קוד:
dpkg --configure -a


ולקבל הודעה בנוגע לדרייבר של nvidia סימן שאין לך נעילה על dpkg
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 08/11/2016 - 09:00
נושא ההודעה:

Anonymous :
ציטוט:
גם אחרי ריבוט?


אם אתה יכול להריץ
קוד:
dpkg --configure -a


ולקבל הודעה בנוגע לדרייבר של nvidia סימן שאין לך נעילה על dpkg


חבל על הזמן של פותח הפתיל. אתה סתם מטעה אותו מתוך חוסר ידע.
קרא שוב את הודעת השגיאה ותנסה להבין מה הטעות שלך.

פותח הפתיל - גם אתה תקרא שוב את הודעת השגיאה.
מיקום קובץ ה lock מתואר שם.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 08/11/2016 - 09:06
נושא ההודעה:

Anonymous :
ציטוט:
גם אחרי ריבוט?
אם אתה יכול להריץ
קוד:
dpkg --configure -a

ולקבל הודעה בנוגע לדרייבר של nvidia סימן שאין לך נעילה על dpkg


בדקתי את עצמי שוב כדי לוודא :
א. עשיתי reboot
ב. ניסיתי להפעיל את הפקודה dpkg --configure -a מחשבון root
ג. קבלתי מסך גראפי בצבעים ששמו " terminal " עם התוכן הבא

תפריט
file edit view terminal tabs help

כותרת
Configuring xserver-xorg-video-nvidia-legacy-340xx

תוכן
Conflicting nouveau kernel module loaded │
│ │
│ The free nouveau kernel module is currently loaded and conflicts with │
│ the non-free nvidia kernel module. │
│ │
│ The easiest way to fix this is to reboot the machine once the │
│ installation has finished. │
│ │

הטקסט אומר לי (במשפט האחרון) לעשות reboot אחרי שההתקנה מסתיימת

לא הבנתי
איזו התקנה צריכה להסתיים כדי שאני אעשה reboot ?

נ.ב.
חומרת הכרטיס הגראפי שמותקן על המחשב היא מסוג Geforce GT630

איך אני מתקדם ?
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 08/11/2016 - 13:34
נושא ההודעה:

Anonymous :
Anonymous :
זה אתה ששאל על דביאן?
באיזו הפצה מדובר?


נכון
התקנתי דביאן testing

הייתה לי הרגשה כבר אז, שתוריד ותתקין את הגירסה החופשית שלה ולאחר מכן תסתבך עם זה. לא נורא. Smile

אם תרצה מערכת דביאן עובדת שכוללת אלמנטים קניניים כבר בתוכה,
יש את 8.6.0-live+nonfree

ויש גם את מה שאני עצמי משתמש בה כבר שנים ארוכות - LMDE 2 Betsy


אבל, רק אם תרצה.
זה לא חובה... כדי שאנשים פה לא יקפצו עלי. Smile
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 08/11/2016 - 16:48
נושא ההודעה:

Anonymous :
הייתה לי הרגשה כבר אז, שתוריד ותתקין את הגירסה החופשית שלה ולאחר מכן תסתבך עם זה. לא נורא. Smile
אם תרצה מערכת דביאן עובדת שכוללת אלמנטים קניניים כבר בתוכה,
יש את 8.6.0-live+nonfree
ויש גם את מה שאני עצמי משתמש בה כבר שנים ארוכות - LMDE 2 Betsy
אבל, רק אם תרצה.
זה לא חובה... כדי שאנשים פה לא יקפצו עלי. Smile


הסתבכתי בגלל שעל המחשב העקרי (שמשמש אותי ביום-יום) - יש כרטיס גרפי Geforce GT630
בינתיים, התקנתי עליו מחדש דביאן testing אבל לא העזתי להתעסק עם התקנת הדרייבר של הכרטיס הגראפי. אם לא יסתדר, אני אנסה את ההצעה שלך (live + non-free)

במחשב אחר (פושט לתרגולים - בלי כרטיס גראפי ייעודי) - ההתקנה עברה בלי תקלות
והעסק עובד חלק

עם לינוקס מינט, יש לי היכרות וניסיון טוב אבל רציתי "לעלות ליגה" עם הדביאן
ואני מקווה שאחרי קצת התמודדות אני אצליח להתמודד עם הכרטיס הגראפי
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 08/11/2016 - 17:45
נושא ההודעה: בהצלחה

ok הבנתי אותך - "לעלות ליגה" אה?! Smile
יש כלי שיכול לעשות את כל העבודה לבד, אבל היות והבנתי אותך אז קבל מדריך כיצד עושים זאת ידנית..

עוד דבר "פיצפון",
תצטרך גם להתקין קודקים קניניים לווידאו ומוסיקה ואולי גם קושחה לכרטיס רשת.
ואם אתה חושב שיש *הבדל מהותי בי הדביאן החופשית שהתקנת לבין מה שהצעתי, אז... זו זכותך Smile


*למעט זה שהגירסה החופשית איננה מכילה גורמים "עוינים" לאידיאולוגיה.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 08/11/2016 - 18:46
נושא ההודעה:

ציטוט:
ואני מקווה שאחרי קצת התמודדות אני אצליח להתמודד עם הכרטיס הגראפי


1. הדרייבר שהותקן ע"י המערכת (nouveau) הוא הדרייבר המתאים לכרטיס שלך, יש תכנות שדורשות אותו ולא יעבדו עם הדריבר הקינייני, למשל Wayland לא יעבוד עם גרסאות נמוכות מ 364 [1]
2. הגרסה האחרונה של flashplugin-nonfree היא 11.2 ומקבלת רק תיקוני אבטחה. [2][4]
3. הגרסה האחרונה של pepperflashplugin-nonfree היא 23.0 ומתוחזקת. [2][3]

נ.ב.
תמיד כדאי להסתמך על מדריכים בויקי של דביאן. עצות ומדריכים ממקורות אחרים, חלקם טובים וחלקם לא ... המדריכים בויקי של דביאן בד"כ טובים. לדוגמא, המדריכים הבאים כנראה טובים:
https://wiki.debian.org/PepperFlashPlayer
https://wiki.debian.org/NvidiaGraphicsDrivers

[1] http://www.linux-magazine.com/Online/News/New-Nvidia-Driver-Offers-Wayland-Support
[2] https://get.adobe.com/flashplayer/otherversions/
[3] https://packages.debian.org/search?searchon=sourcenames&keywords=pepperflashplugin-nonfree
[4] https://packages.debian.org/search?keywords=flashplugin-nonfree
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 08/11/2016 - 21:26
נושא ההודעה: תודה על התגובה המושקעת. נתת פה המון חומר

ואני הולך ללמוד אותו בעיון
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
הצגת הודעות מלפני:     
מעבר אל:  
כל הזמנים הם GMT + 2 שעות
תגובה לנושא
צפיה בנושא הבא Printable version התחבר כדי לבדוק הודעות פרטיות צפיה בנושא הקודם
PNphpBB2 © 2003-2004 

תוכן הדיון

  1. אורח
  2. אורח
  3. אורח
  4. אורח
  5. אורח
  6. אורח [צפריר]
  7. אורח
  8. אורח
  9. אורח
  10. אורח
  11. אורח
  12. אורח
  13. אורח
  14. אורח
  15. אורח
  16. אורח
  17. אורח
  18. אורח

Google Ads